<template>
    <i ref="icon" :class="styles"></i>
</template>
<script>
import { MDCTextFieldIcon } from '@material/textfield/icon';

export default {
    props: {
        type: {
            type: String,
            required: true,
            validator: value => {
                return value === 'leading' || value === 'trailing';
            },
        },
        icon: {
            type: String,
            required: true,
        },
    },

    mounted() {
        MDCTextFieldIcon.attachTo(this.$refs.icon);
    },

    computed: {
        styles() {
            return `fas ${this.icon} mdc-text-field__icon--${this.type}`;
        },
    }
};
</script>
